config:
  general:
    COLLECTION: COLLECTION
    CPL_VSIL_CURL_ALLOWED_EXTENSIONS: .TIF,.tif,.xml
    GDAL_DISABLE_READDIR_ON_OPEN: "TRUE"
    COLLECT_STATIC: "false"
  database:
    DB_NAME: dbname
    DB_PORT: "5432"
    DB_PW: dbpw
    DB_USER: dbuser
    POSTGRES_DB: dbname
    POSTGRES_PASSWORD: dbpw
    POSTGRES_USER: dbuser
  django:
    DJANGO_MAIL: office@eox.at
    DJANGO_PASSWORD: djangopw
    DJANGO_USER: djangouser
  objectStorage:
    download:
      type: swift
      username: "username"
      password: "password"
      tenant_name: "tenant_name"
      tenant_id: "tenant_id"
      region_name: "region_name"
      auth_url: "auth_url"
      auth_url_short: "auth_url_short"
      auth_version: "auth_version"
      user_domain_name: "user_domain_name"
    data:
      type: swift
      username: "username"
      password: "password"
      tenant_name: "tenant_name"
      tenant_id: "tenant_id"
      region_name: "region_name"
      auth_url: "auth_url"
      auth_url_short: "auth_url_short"
      auth_version: "auth_version"
      user_domain_name: "user_domain_name"
    cache:
      type: S3
      bucket: "bucket"
      endpoint_url: "endpoint_url"
      access_key_id: "access_key_id"
      secret_access_key: "secret_access_key"
      region: "region"
  redis:
    REDIS_PORT: "6379"
    REDIS_PREPROCESS_QUEUE_KEY: preprocess_queue
    REDIS_PREPROCESS_MD_QUEUE_KEY: preprocess-md_queue
    REDIS_PREPROCESS_FAILURE_KEY: preprocess-failure_set
    REDIS_PREPROCESS_PROGRESS_KEY: preprocessing_set
    REDIS_PREPROCESS_SUCCESS_KEY: preprocess-success_set
    REDIS_REGISTER_QUEUE_KEY: register_queue
    REDIS_REGISTER_FAILURE_KEY: register-failure_set
    REDIS_REGISTER_PROGRESS_KEY: registering_set
    REDIS_REGISTER_SUCCESS_KEY: register-success_set
    REDIS_SEED_QUEUE_KEY: seed_queue
  client:
    layers: {}
      # VHR_IMAGE_2018_Level_1:
      #   display_color: '#eb3700'
      #   title: VHR Image 2018 Level 1
      #   layer: VHR_IMAGE_2018_Level_1__TRUE_COLOR
      #   sub_layers:
      #     VHR_IMAGE_2018_Level_1__TRUE_COLOR:
      #       label: VHR Image 2018 True Color
      #     VHR_IMAGE_2018_Level_1__masked_validity:
      #       label: VHR Image 2018 True Color with masked validity
      #     VHR_IMAGE_2018_Level_1__FALSE_COLOR:
      #       label: VHR Image 2018 False Color
      #     VHR_IMAGE_2018_Level_1__NDVI:
      #       label: VHR Image 2018 NDVI
      # VHR_IMAGE_2018_Level_3:
      #   display_color: '#eb3700'
      #   title: VHR Image 2018 Level 3
      #   layer: VHR_IMAGE_2018_Level_3__TRUE_COLOR
      #   sub_layers:
      #     VHR_IMAGE_2018_Level_3__TRUE_COLOR:
      #       label: VHR Image 2018 True Color
      #     VHR_IMAGE_2018_Level_3__masked_validity:
      #       label: VHR Image 2018 True Color with masked validity
      #     VHR_IMAGE_2018_Level_3__FALSE_COLOR:
      #       label: VHR Image 2018 False Color
      #     VHR_IMAGE_2018_Level_3__NDVI:
      #       label: VHR Image 2018 NDVI
    overlay_layers: {}
      # VHR_IMAGE_2018_Level_3__outlines:
      #   display_color: '#187465'
      #   title: VHR Image 2018 Level 3 Outlines
      #   layer: VHR_IMAGE_2018_Level_3__outlines
      # VHR_IMAGE_2018_Level_3__masked_validity__Full:
      #   display_color: '#187465'
      #   title: VHR Image 2018 Level 3 True Color with masked validity Full Coverage
      #   layer: VHR_IMAGE_2018_Level_3__masked_validity__Full
      # VHR_IMAGE_2018_Level_3__Full:
      #   display_color: '#187465'
      #   title: VHR Image 2018 Level 3 True Color Full Coverage
      #   layer: VHR_IMAGE_2018_Level_3__Full

  # cache related options
  cache:
    metadata:
      title: PRISM Data Access Service (PASS) developed by EOX
      abstract: PRISM Data Access Service (PASS) developed by EOX
      url: https://vhr18.pvs.prism.eox.at/cache/ows
      keyword: view service
      accessconstraints: UNKNOWN
      fees: UNKNOWN
      contactname: Stephan Meissl
      contactphone: Please contact via mail.
      contactfacsimile: None
      contactorganization: EOX IT Services GmbH
      contactcity: Vienna
      contactstateorprovince: Vienna
      contactpostcode: 1090
      contactcountry: Austria
      contactelectronicmailaddress: office@eox.at
      contactposition: CTO
      providername: EOX
      providerurl: https://eox.at
      inspire_profile: true
      inspire_metadataurl: TBD
      defaultlanguage: eng
      language: eng
    services:
      wms:
        enabled: true
      wmts:
        enabled: true
    connection_timeout: 10
    timeout: 120
    expires: 3600
    key: /{tileset}/{grid}/{dim}/{z}/{x}/{y}.{ext}
    tilesets: {}
      # VHR_IMAGE_2018:
      #   title: VHR Image 2018 True Color
      #   abstract: VHR Image 2018 True Color
      # VHR_IMAGE_2018__TRUE_COLOR:
      #   title: VHR Image 2018 True Color
      #   abstract: VHR Image 2018 True Color
      # VHR_IMAGE_2018__FALSE_COLOR:
      #   title: VHR Image 2018 False Color
      #   abstract: VHR Image 2018 False Color
      # VHR_IMAGE_2018__NDVI:
      #   title: VHR Image 2018 NDVI
      #   abstract: VHR Image 2018 NDVI
      #   style: earth
      # VHR_IMAGE_2018_Level_1__TRUE_COLOR:
      #   title: VHR Image 2018 Level 1 True Color
      #   abstract: VHR Image 2018 Level 1 True Color
      # VHR_IMAGE_2018_Level_1__FALSE_COLOR:
      #   title: VHR Image 2018 Level 1 False Color
      #   abstract: VHR Image 2018 Level 1 False Color
      # VHR_IMAGE_2018_Level_1__NDVI:
      #   title: VHR Image 2018 Level 1 NDVI
      #   abstract: VHR Image 2018 Level 1 NDVI
      #   style: earth
      # VHR_IMAGE_2018_Level_1__TRUE_COLOR:
      #   title: VHR Image 2018 Level 3 True Color
      #   abstract: VHR Image 2018 Level 3 True Color
      # VHR_IMAGE_2018_Level_1__FALSE_COLOR:
      #   title: VHR Image 2018 Level 3 False Color
      #   abstract: VHR Image 2018 Level 3 False Color
      # VHR_IMAGE_2018_Level_1__NDVI:
      #   title: VHR Image 2018 Level 3 NDVI
      #   abstract: VHR Image 2018 Level 3 NDVI
      #   style: earth

  preprocessor:
    metadata_glob: '*GSC*.xml'
    type_extractor:
      xpath:
        - /gsc:report/gsc:opt_metadata/gml:using/eop:EarthObservationEquipment/eop:platform/eop:Platform/eop:shortName/text()
    level_extractor:
      # xpath can also be a list of xpaths to be tried one after another
      xpath: substring-after(substring-after(/gsc:report/gsc:opt_metadata/gml:metaDataProperty/gsc:EarthObservationMetaData/eop:parentIdentifier/text(), '/'), '/')
    preprocessing:
      defaults:
        move_files: true
        data_file_globs:
          - '*.tif'
          - '*.jp2'
        output:
          options:
            format: COG
            dstSRS: 'EPSG:4326'
            dstNodata: 0
            creationOptions:
              - BLOCKSIZE=512
              - COMPRESS=DEFLATE
              - NUM_THREADS=8
              - BIGTIFF=IF_SAFER
              - OVERVIEWS=AUTO
      types: {}
        # PH1B: # just to pass validation
        #   nested: true

  registrar:
    schemes:
      - type: gsc

  # mapping of collection name to objects
  collections: {}
    # VHR_IMAGE_2018:
    #   product_types:
    #     - PL00
    #     - DM02
    #     - KS03
    #     - KS04
    #     - PH1A
    #     - PH1B
    #     - SP06
    #     - SP07
    #     - SW00
    #     - TR00
    #   product_levels:
    #     - Level_1
    #     - Level_3
    #   coverage_types:
    #     - RGBNir

  products:
    type_extractor:
      xpath:
        - /gsc:report/gsc:opt_metadata/gml:using/eop:EarthObservationEquipment/eop:platform/eop:Platform/eop:shortName/text()
        - /gsc:report/gsc:sar_metadata/gml:using/eop:EarthObservationEquipment/eop:platform/eop:Platform/eop:shortName/text()
      namespace_map:

    level_extractor:
      xpath:
      namespace_map:

    types: {}
      # PL00:
      #   coverages:
      #     PL00: RGBNir
      #   default_browse: TRUE_COLOR
      #   browses:
      #     TRUE_COLOR:
      #       red:
      #         expression: red
      #         range: [1000, 15000]
      #         nodata: 0
      #       green:
      #         expression: green
      #         range: [1000, 15000]
      #         nodata: 0
      #       blue:
      #         expression: blue
      #         range: [1000, 15000]
      #         nodata: 0
      #     FALSE_COLOR:
      #       red:
      #         expression: nir
      #         range: [1000, 15000]
      #         nodata: 0
      #       green:
      #         expression: red
      #         range: [1000, 15000]
      #         nodata: 0
      #       blue:
      #         expression: green
      #         range: [1000, 15000]
      #         nodata: 0
      #     NDVI:
      #       grey:
      #         expression: (nir-red)/(nir+red)
      #         range: [-1, 1]
      #   masks:
      #     validity:
      #       validity: true

  coverages: {}
    # only RGBNir? SAR? complete list with all options here?

database:
  persistence:
    enabled: false
    # existingClaim: eoepca-rm-db-pvc
  postgresqlUsername: dbuser
  postgresqlPassword: dbpw
  postgresqlDatabase: dbname
  postgresqlPostgresPassword: dbpgpw
  initdbScripts:
    enablePostgis.sh: |
      echo "Enabling postgis"
      PGPASSWORD="$POSTGRES_POSTGRES_PASSWORD" psql -U postgres -d "${POSTGRES_DB}" -c "CREATE EXTENSION postgis;"

redis:
  usePassword: false
  # persistence:
  #   existingClaim: redis
  # master:
  #   persistence:
  #     enabled: true
  cluster:
    enabled: false

preprocessor:
  replicaCount: 1
  resources:
    limits:
      cpu: 1.5
      memory: 6Gi
    requests:
      cpu: 0.5
      memory: 0.5Gi
  affinity: {}

registrar:
  replicaCount: 1
  resources:
    limits:
      cpu: 1.5
      memory: 6Gi
    requests:
      cpu: 0.5
      memory: 0.5Gi
  affinity: {}

renderer:
  replicaCount: 1
  resources:
    limits:
      cpu: 1.5
      memory: 6Gi
    requests:
      cpu: 0.5
      memory: 0.5Gi
  affinity: {}

client:
  replicaCount: 1
  resources:
    limits:
      cpu: 0.5
      memory: 1Gi
    requests:
      cpu: 0.1
      memory: 0.1Gi


replicaCount: 1

image:
  repository: registry.gitlab.eox.at/esa/prism/vs
  pullPolicy: IfNotPresent
  tag: "release-1.3.0"

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

service:
  type: ClusterIP
  port: 80

ingress:
  annotations:
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "600"
    nginx.ingress.kubernetes.io/enable-cors: "true"
  hosts:
    - host: vs.local
  tls:
    - hosts:
        - vs.local
      secretName: vs-secret

affinity: {}
